<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: CLK Exported Functions</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">CLK Exported Functions<div class="ingroups"><a class="el" href="../../da/d7c/group___m_i_n_i51___device___driver.html">MINI51 Device Driver</a> &raquo; <a class="el" href="../../d2/d08/group___m_i_n_i51___c_l_k___driver.html">CLK Driver</a> &raquo; <a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html">CLK Exported Constants</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for CLK Exported Functions:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.png" border="0" usemap="#ad7_2d73_2group______m__i__n__i51______c__l__k______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" alt=""/></div>
<map name="ad7_2d73_2group______m__i__n__i51______c__l__k______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" id="ad7_2d73_2group______m__i__n__i51______c__l__k______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s">
<area shape="rect" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html" title=" " alt="" coords="5,5,172,31"/>
<area shape="rect" title=" " alt="" coords="220,5,384,31"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga31f678693e1aadf43a190c1e40f3cbc9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31f678693e1aadf43a190c1e40f3cbc9">CLK_DisableCKO</a> (void)</td></tr>
<tr class="memdesc:ga31f678693e1aadf43a190c1e40f3cbc9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable frequency output function.  <a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31f678693e1aadf43a190c1e40f3cbc9">More...</a><br /></td></tr>
<tr class="separator:ga31f678693e1aadf43a190c1e40f3cbc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5241b9593cac6dd5412d350c0e571e51"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5241b9593cac6dd5412d350c0e571e51">CLK_EnableCKO</a> (uint32_t u32ClkSrc, uint32_t u32ClkDiv, uint32_t u32ClkDivBy1En)</td></tr>
<tr class="memdesc:ga5241b9593cac6dd5412d350c0e571e51"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable frequency divider module clock, enable frequency divider clock function and configure frequency divider.  <a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5241b9593cac6dd5412d350c0e571e51">More...</a><br /></td></tr>
<tr class="separator:ga5241b9593cac6dd5412d350c0e571e51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8a4f26f4731fdca63af252773ee72088"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8a4f26f4731fdca63af252773ee72088">CLK_PowerDown</a> (void)</td></tr>
<tr class="memdesc:ga8a4f26f4731fdca63af252773ee72088"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function let system enter to Power-down mode.  <a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8a4f26f4731fdca63af252773ee72088">More...</a><br /></td></tr>
<tr class="separator:ga8a4f26f4731fdca63af252773ee72088"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0920dc6df8ce954838d45072f075b347"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0920dc6df8ce954838d45072f075b347">CLK_Idle</a> (void)</td></tr>
<tr class="memdesc:ga0920dc6df8ce954838d45072f075b347"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function let system enter to Idle mode.  <a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0920dc6df8ce954838d45072f075b347">More...</a><br /></td></tr>
<tr class="separator:ga0920dc6df8ce954838d45072f075b347"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafa5076ef7010baaa621da89225c14e57"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafa5076ef7010baaa621da89225c14e57">CLK_GetHXTFreq</a> (void)</td></tr>
<tr class="memdesc:gafa5076ef7010baaa621da89225c14e57"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get external high frequency crystal frequency. The frequency unit is Hz.  <a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafa5076ef7010baaa621da89225c14e57">More...</a><br /></td></tr>
<tr class="separator:gafa5076ef7010baaa621da89225c14e57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga70068a9cb9cc8099f56423a99a0dafcc"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga70068a9cb9cc8099f56423a99a0dafcc">CLK_GetLXTFreq</a> (void)</td></tr>
<tr class="memdesc:ga70068a9cb9cc8099f56423a99a0dafcc"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get external low frequency crystal frequency. The frequency unit is Hz.  <a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga70068a9cb9cc8099f56423a99a0dafcc">More...</a><br /></td></tr>
<tr class="separator:ga70068a9cb9cc8099f56423a99a0dafcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27ded0f4435751be979927718884488f"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">CLK_GetHCLKFreq</a> (void)</td></tr>
<tr class="memdesc:ga27ded0f4435751be979927718884488f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get HCLK frequency. The frequency unit is Hz.  <a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">More...</a><br /></td></tr>
<tr class="separator:ga27ded0f4435751be979927718884488f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga15c5a1cc055a26e3da00d8dc66f05e66"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga15c5a1cc055a26e3da00d8dc66f05e66">CLK_GetPCLKFreq</a> (void)</td></tr>
<tr class="separator:ga15c5a1cc055a26e3da00d8dc66f05e66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa95d8368f13a4b774dffbf895c750e64"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa95d8368f13a4b774dffbf895c750e64">CLK_GetCPUFreq</a> (void)</td></tr>
<tr class="memdesc:gaa95d8368f13a4b774dffbf895c750e64"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get CPU frequency. The frequency unit is Hz.  <a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa95d8368f13a4b774dffbf895c750e64">More...</a><br /></td></tr>
<tr class="separator:gaa95d8368f13a4b774dffbf895c750e64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab1a48f2301aa652d88d9235674183a24"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab1a48f2301aa652d88d9235674183a24">CLK_SetHCLK</a> (uint32_t u32ClkSrc, uint32_t u32ClkDiv)</td></tr>
<tr class="memdesc:gab1a48f2301aa652d88d9235674183a24"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set HCLK clock source and HCLK clock divider.  <a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab1a48f2301aa652d88d9235674183a24">More...</a><br /></td></tr>
<tr class="separator:gab1a48f2301aa652d88d9235674183a24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gada76aad06147856dad5f349704112611"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gada76aad06147856dad5f349704112611">CLK_SetModuleClock</a> (uint32_t u32ModuleIdx, uint32_t u32ClkSrc, uint32_t u32ClkDiv)</td></tr>
<tr class="memdesc:gada76aad06147856dad5f349704112611"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set selected module clock source and module clock divider.  <a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gada76aad06147856dad5f349704112611">More...</a><br /></td></tr>
<tr class="separator:gada76aad06147856dad5f349704112611"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1ce2943c698a17c51766cf77e1353bf8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1ce2943c698a17c51766cf77e1353bf8">CLK_SetSysTickClockSrc</a> (uint32_t u32ClkSrc)</td></tr>
<tr class="memdesc:ga1ce2943c698a17c51766cf77e1353bf8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set SysTick clock source.  <a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1ce2943c698a17c51766cf77e1353bf8">More...</a><br /></td></tr>
<tr class="separator:ga1ce2943c698a17c51766cf77e1353bf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae4dc253bdbb63c0044d71cb37256cf3d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae4dc253bdbb63c0044d71cb37256cf3d">CLK_EnableSysTick</a> (uint32_t u32ClkSrc, uint32_t u32Count)</td></tr>
<tr class="memdesc:gae4dc253bdbb63c0044d71cb37256cf3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable System Tick counter.  <a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae4dc253bdbb63c0044d71cb37256cf3d">More...</a><br /></td></tr>
<tr class="separator:gae4dc253bdbb63c0044d71cb37256cf3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad9d846aeb8260e9b9ea4063647244252"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad9d846aeb8260e9b9ea4063647244252">CLK_DisableSysTick</a> (void)</td></tr>
<tr class="memdesc:gad9d846aeb8260e9b9ea4063647244252"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable System Tick counter.  <a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad9d846aeb8260e9b9ea4063647244252">More...</a><br /></td></tr>
<tr class="separator:gad9d846aeb8260e9b9ea4063647244252"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadfcb464858fe9270881d9edf102b9ed1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadfcb464858fe9270881d9edf102b9ed1">CLK_EnableXtalRC</a> (uint32_t u32ClkMask)</td></tr>
<tr class="memdesc:gadfcb464858fe9270881d9edf102b9ed1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable clock source.  <a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadfcb464858fe9270881d9edf102b9ed1">More...</a><br /></td></tr>
<tr class="separator:gadfcb464858fe9270881d9edf102b9ed1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad7fcb315221079b3c5ebf800253ffee8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fcb315221079b3c5ebf800253ffee8">CLK_DisableXtalRC</a> (uint32_t u32ClkMask)</td></tr>
<tr class="memdesc:gad7fcb315221079b3c5ebf800253ffee8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable clock source.  <a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fcb315221079b3c5ebf800253ffee8">More...</a><br /></td></tr>
<tr class="separator:gad7fcb315221079b3c5ebf800253ffee8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga517b9f3157919153e56c85ffb9ccd0ab"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga517b9f3157919153e56c85ffb9ccd0ab">CLK_EnableModuleClock</a> (uint32_t u32ModuleIdx)</td></tr>
<tr class="memdesc:ga517b9f3157919153e56c85ffb9ccd0ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable module clock.  <a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga517b9f3157919153e56c85ffb9ccd0ab">More...</a><br /></td></tr>
<tr class="separator:ga517b9f3157919153e56c85ffb9ccd0ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58ebca80b6dad0a35cbabc28cf910506"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58ebca80b6dad0a35cbabc28cf910506">CLK_DisableModuleClock</a> (uint32_t u32ModuleIdx)</td></tr>
<tr class="memdesc:ga58ebca80b6dad0a35cbabc28cf910506"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable module clock.  <a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58ebca80b6dad0a35cbabc28cf910506">More...</a><br /></td></tr>
<tr class="separator:ga58ebca80b6dad0a35cbabc28cf910506"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5ab15677ea51c3099b27f42dc4b6fcb2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5ab15677ea51c3099b27f42dc4b6fcb2">CLK_SysTickDelay</a> (uint32_t us)</td></tr>
<tr class="memdesc:ga5ab15677ea51c3099b27f42dc4b6fcb2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function execute delay function.  <a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5ab15677ea51c3099b27f42dc4b6fcb2">More...</a><br /></td></tr>
<tr class="separator:ga5ab15677ea51c3099b27f42dc4b6fcb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga620c121e9147b128081654d9552efe15"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga620c121e9147b128081654d9552efe15">CLK_WaitClockReady</a> (uint32_t u32ClkMask)</td></tr>
<tr class="memdesc:ga620c121e9147b128081654d9552efe15"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function check selected clock source status.  <a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga620c121e9147b128081654d9552efe15">More...</a><br /></td></tr>
<tr class="separator:ga620c121e9147b128081654d9552efe15"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Function Documentation</h2>
<a id="ga31f678693e1aadf43a190c1e40f3cbc9" name="ga31f678693e1aadf43a190c1e40f3cbc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga31f678693e1aadf43a190c1e40f3cbc9">&#9670;&nbsp;</a></span>CLK_DisableCKO()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CLK_DisableCKO </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function disable frequency output function. </p>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/da0/clk_8c_source.html#l00030">30</a> of file <a class="el" href="../../de/da0/clk_8c_source.html">clk.c</a>.</p>

</div>
</div>
<a id="ga58ebca80b6dad0a35cbabc28cf910506" name="ga58ebca80b6dad0a35cbabc28cf910506"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga58ebca80b6dad0a35cbabc28cf910506">&#9670;&nbsp;</a></span>CLK_DisableModuleClock()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CLK_DisableModuleClock </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ModuleIdx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function disable module clock. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32ModuleIdx</td><td>is module index<ul>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaefc5c5d4f6d46fa66126a8b471e6b333">WDT_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4490f2058973aa7507893ae3040e30ae">TMR0_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4f3c0420befc3fd680c619482c652701">TMR1_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf04f68ef136af432770da8d6b4eabe32">FDIV_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaf5cad1af05ff8b0deee91d82a02cdf2">I2C_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga27134fb16470a6878759a2e69ca68a92">SPI_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa8408d081cc7ddf35547426dee549cc5">UART_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3e6e896020dcebab79489c71d3d6c7ba">PWM01_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga503fbb130bef38a23562886086fd9612">PWM23_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga552401025f845e7a298f8b385558f798">PWM45_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4c7bc484e427369d477792d9e432723e">ADC_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga98d02399c4cf4d6a6a88dbfa3d007613">ACMP_MODULE</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/da0/clk_8c_source.html#l00323">323</a> of file <a class="el" href="../../de/da0/clk_8c_source.html">clk.c</a>.</p>

</div>
</div>
<a id="gad9d846aeb8260e9b9ea4063647244252" name="gad9d846aeb8260e9b9ea4063647244252"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad9d846aeb8260e9b9ea4063647244252">&#9670;&nbsp;</a></span>CLK_DisableSysTick()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CLK_DisableSysTick </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable System Tick counter. </p>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function disable System Tick counter. </p>

<p class="definition">Definition at line <a class="el" href="../../de/da0/clk_8c_source.html#l00253">253</a> of file <a class="el" href="../../de/da0/clk_8c_source.html">clk.c</a>.</p>

</div>
</div>
<a id="gad7fcb315221079b3c5ebf800253ffee8" name="gad7fcb315221079b3c5ebf800253ffee8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad7fcb315221079b3c5ebf800253ffee8">&#9670;&nbsp;</a></span>CLK_DisableXtalRC()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CLK_DisableXtalRC </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ClkMask</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function disable clock source. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32ClkMask</td><td>is clock source mask. Including :<ul>
<li><a class="el" href="../../dd/d47/group___m_i_n_i51___definitions.html#ga021a45c925f83ecb6e3d0ff2c4557d2e">CLK_PWRCON_XTLCLK_EN_Msk</a>,</li>
<li><a class="el" href="../../dd/d47/group___m_i_n_i51___definitions.html#ga9760101a9e2af503f767c94eb7d7de2e">CLK_PWRCON_LIRC_EN_Msk</a>,</li>
<li><a class="el" href="../../dd/d47/group___m_i_n_i51___definitions.html#ga197982b0e2d167c32df390a452ad4f38">CLK_PWRCON_HIRC_EN_Msk</a>, </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/da0/clk_8c_source.html#l00279">279</a> of file <a class="el" href="../../de/da0/clk_8c_source.html">clk.c</a>.</p>

</div>
</div>
<a id="ga5241b9593cac6dd5412d350c0e571e51" name="ga5241b9593cac6dd5412d350c0e571e51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga5241b9593cac6dd5412d350c0e571e51">&#9670;&nbsp;</a></span>CLK_EnableCKO()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CLK_EnableCKO </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ClkSrc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ClkDiv</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ClkDivBy1En</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function enable frequency divider module clock, enable frequency divider clock function and configure frequency divider. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32ClkSrc</td><td>is frequency divider function clock source<ul>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad41cbd0b610d8afd3acbb32cc6844a9f">CLK_CLKSEL2_FRQDIV_XTAL</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga355416178cebbda348c7017ab4bd08ec">CLK_CLKSEL2_FRQDIV_HCLK</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadff64cd11575dda23fe65dd545b43f93">CLK_CLKSEL2_FRQDIV_HIRC</a> </li>
</ul>
</td></tr>
    <tr><td class="paramname">u32ClkDiv</td><td>Set the clock divider to CKO. 0 &lt;= u32ClkDiv &lt;= 15 </td></tr>
    <tr><td class="paramname">u32ClkDivBy1En</td><td>is frequency divided by one enable. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Output selected clock to CKO. The output clock frequency is divided by u32ClkDiv. The formula is: CKO frequency = (Clock source frequency) / 2^(u32ClkDiv + 1) This function is just used to set CKO clock. User must enable I/O for CKO clock output pin by themselves. </p>

<p class="definition">Definition at line <a class="el" href="../../de/da0/clk_8c_source.html#l00053">53</a> of file <a class="el" href="../../de/da0/clk_8c_source.html">clk.c</a>.</p>

</div>
</div>
<a id="ga517b9f3157919153e56c85ffb9ccd0ab" name="ga517b9f3157919153e56c85ffb9ccd0ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga517b9f3157919153e56c85ffb9ccd0ab">&#9670;&nbsp;</a></span>CLK_EnableModuleClock()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CLK_EnableModuleClock </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ModuleIdx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function enable module clock. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32ModuleIdx</td><td>is module index. Including :<ul>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaefc5c5d4f6d46fa66126a8b471e6b333">WDT_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4490f2058973aa7507893ae3040e30ae">TMR0_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4f3c0420befc3fd680c619482c652701">TMR1_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf04f68ef136af432770da8d6b4eabe32">FDIV_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaf5cad1af05ff8b0deee91d82a02cdf2">I2C_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga27134fb16470a6878759a2e69ca68a92">SPI_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa8408d081cc7ddf35547426dee549cc5">UART_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3e6e896020dcebab79489c71d3d6c7ba">PWM01_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga503fbb130bef38a23562886086fd9612">PWM23_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga552401025f845e7a298f8b385558f798">PWM45_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4c7bc484e427369d477792d9e432723e">ADC_MODULE</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga98d02399c4cf4d6a6a88dbfa3d007613">ACMP_MODULE</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/da0/clk_8c_source.html#l00301">301</a> of file <a class="el" href="../../de/da0/clk_8c_source.html">clk.c</a>.</p>

</div>
</div>
<a id="gae4dc253bdbb63c0044d71cb37256cf3d" name="gae4dc253bdbb63c0044d71cb37256cf3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae4dc253bdbb63c0044d71cb37256cf3d">&#9670;&nbsp;</a></span>CLK_EnableSysTick()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CLK_EnableSysTick </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ClkSrc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable System Tick counter. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ClkSrc</td><td>is System Tick clock source. Including:<ul>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5712fd319ccc5ab8632a664992e97f9d">CLK_CLKSEL0_STCLK_S_XTAL</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf0d5c9c8ec942e8273a5f111edc7a17c">CLK_CLKSEL0_STCLK_S_XTAL_DIV2</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga398fff62736b5fc83b8f5eb95b19326f">CLK_CLKSEL0_STCLK_S_HCLK_DIV2</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab5dc020a95d16762afe259487c72e5d1">CLK_CLKSEL0_STCLK_S_HIRC_DIV2</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4b7adc9f1b60aebd6f7d084b70f99556">CLK_CLKSEL0_STCLK_S_HCLK</a> </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Count</td><td>is System Tick reload value. It should be 0x1~0xFFFFFF. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function set System Tick clock source, reload value, enable System Tick counter and interrupt. The register write-protection function should be disabled before using this function. </p>

<p class="definition">Definition at line <a class="el" href="../../de/da0/clk_8c_source.html#l00233">233</a> of file <a class="el" href="../../de/da0/clk_8c_source.html">clk.c</a>.</p>

</div>
</div>
<a id="gadfcb464858fe9270881d9edf102b9ed1" name="gadfcb464858fe9270881d9edf102b9ed1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gadfcb464858fe9270881d9edf102b9ed1">&#9670;&nbsp;</a></span>CLK_EnableXtalRC()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CLK_EnableXtalRC </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ClkMask</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function enable clock source. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32ClkMask</td><td>is clock source mask. Including :<ul>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab95ef36bda089bf77cd14db350231108">CLK_PWRCON_HXT</a> or <a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad60f063f0c649623710f618821a38821">CLK_PWRCON_LXT</a>,</li>
<li><a class="el" href="../../dd/d47/group___m_i_n_i51___definitions.html#ga9760101a9e2af503f767c94eb7d7de2e">CLK_PWRCON_LIRC_EN_Msk</a></li>
<li><a class="el" href="../../dd/d47/group___m_i_n_i51___definitions.html#ga197982b0e2d167c32df390a452ad4f38">CLK_PWRCON_HIRC_EN_Msk</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/da0/clk_8c_source.html#l00266">266</a> of file <a class="el" href="../../de/da0/clk_8c_source.html">clk.c</a>.</p>

</div>
</div>
<a id="gaa95d8368f13a4b774dffbf895c750e64" name="gaa95d8368f13a4b774dffbf895c750e64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa95d8368f13a4b774dffbf895c750e64">&#9670;&nbsp;</a></span>CLK_GetCPUFreq()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t CLK_GetCPUFreq </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function get CPU frequency. The frequency unit is Hz. </p>
<dl class="section return"><dt>Returns</dt><dd>CPU frequency </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/da0/clk_8c_source.html#l00125">125</a> of file <a class="el" href="../../de/da0/clk_8c_source.html">clk.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gaa95d8368f13a4b774dffbf895c750e64_cgraph.png" border="0" usemap="#ad7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gaa95d8368f13a4b774dffbf895c750e64_cgraph" alt=""/></div>
<map name="ad7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gaa95d8368f13a4b774dffbf895c750e64_cgraph" id="ad7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gaa95d8368f13a4b774dffbf895c750e64_cgraph">
<area shape="rect" title="This function get CPU frequency. The frequency unit is Hz." alt="" coords="5,5,133,32"/>
<area shape="rect" href="../../dc/d23/system___mini51_series_8c.html#ae0c36a9591fe6e9c45ecb21a794f0f0f" title="Updates the SystemCoreClock with current core Clock retrieved from CPU registers." alt="" coords="181,5,349,32"/>
</map>
</div>

</div>
</div>
<a id="ga27ded0f4435751be979927718884488f" name="ga27ded0f4435751be979927718884488f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga27ded0f4435751be979927718884488f">&#9670;&nbsp;</a></span>CLK_GetHCLKFreq()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t CLK_GetHCLKFreq </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function get HCLK frequency. The frequency unit is Hz. </p>
<dl class="section return"><dt>Returns</dt><dd>HCLK frequency </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/da0/clk_8c_source.html#l00114">114</a> of file <a class="el" href="../../de/da0/clk_8c_source.html">clk.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga27ded0f4435751be979927718884488f_cgraph.png" border="0" usemap="#ad7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga27ded0f4435751be979927718884488f_cgraph" alt=""/></div>
<map name="ad7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga27ded0f4435751be979927718884488f_cgraph" id="ad7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga27ded0f4435751be979927718884488f_cgraph">
<area shape="rect" title="This function get HCLK frequency. The frequency unit is Hz." alt="" coords="5,5,140,32"/>
<area shape="rect" href="../../dc/d23/system___mini51_series_8c.html#ae0c36a9591fe6e9c45ecb21a794f0f0f" title="Updates the SystemCoreClock with current core Clock retrieved from CPU registers." alt="" coords="188,5,356,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga27ded0f4435751be979927718884488f_icgraph.png" border="0" usemap="#ad7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga27ded0f4435751be979927718884488f_icgraph" alt=""/></div>
<map name="ad7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga27ded0f4435751be979927718884488f_icgraph" id="ad7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga27ded0f4435751be979927718884488f_icgraph">
<area shape="rect" title="This function get HCLK frequency. The frequency unit is Hz." alt="" coords="180,56,315,83"/>
<area shape="rect" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae3a43e332cf4de4b416980eeab502d07" title="Get the actual frequency of SPI bus clock. Only available in Master mode." alt="" coords="5,5,132,32"/>
<area shape="rect" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad923655d26fb14da88c61d4ed0125c44" title="This function make SPI module be ready to transfer. By default, the SPI transfer sequence is MSB firs..." alt="" coords="28,56,109,83"/>
<area shape="rect" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cee248bcbe05dfae8ab8b3bf89e8f13" title="Set the SPI bus clock. Only available in Master mode." alt="" coords="5,107,132,133"/>
</map>
</div>

</div>
</div>
<a id="gafa5076ef7010baaa621da89225c14e57" name="gafa5076ef7010baaa621da89225c14e57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gafa5076ef7010baaa621da89225c14e57">&#9670;&nbsp;</a></span>CLK_GetHXTFreq()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t CLK_GetHXTFreq </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function get external high frequency crystal frequency. The frequency unit is Hz. </p>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/da0/clk_8c_source.html#l00090">90</a> of file <a class="el" href="../../de/da0/clk_8c_source.html">clk.c</a>.</p>

</div>
</div>
<a id="ga70068a9cb9cc8099f56423a99a0dafcc" name="ga70068a9cb9cc8099f56423a99a0dafcc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga70068a9cb9cc8099f56423a99a0dafcc">&#9670;&nbsp;</a></span>CLK_GetLXTFreq()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t CLK_GetLXTFreq </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function get external low frequency crystal frequency. The frequency unit is Hz. </p>
<dl class="section return"><dt>Returns</dt><dd>LXT frequency </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/da0/clk_8c_source.html#l00102">102</a> of file <a class="el" href="../../de/da0/clk_8c_source.html">clk.c</a>.</p>

</div>
</div>
<a id="ga15c5a1cc055a26e3da00d8dc66f05e66" name="ga15c5a1cc055a26e3da00d8dc66f05e66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga15c5a1cc055a26e3da00d8dc66f05e66">&#9670;&nbsp;</a></span>CLK_GetPCLKFreq()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t CLK_GetPCLKFreq </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ga0920dc6df8ce954838d45072f075b347" name="ga0920dc6df8ce954838d45072f075b347"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0920dc6df8ce954838d45072f075b347">&#9670;&nbsp;</a></span>CLK_Idle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CLK_Idle </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function let system enter to Idle mode. </p>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/da0/clk_8c_source.html#l00080">80</a> of file <a class="el" href="../../de/da0/clk_8c_source.html">clk.c</a>.</p>

</div>
</div>
<a id="ga8a4f26f4731fdca63af252773ee72088" name="ga8a4f26f4731fdca63af252773ee72088"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8a4f26f4731fdca63af252773ee72088">&#9670;&nbsp;</a></span>CLK_PowerDown()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CLK_PowerDown </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function let system enter to Power-down mode. </p>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/da0/clk_8c_source.html#l00069">69</a> of file <a class="el" href="../../de/da0/clk_8c_source.html">clk.c</a>.</p>

</div>
</div>
<a id="gab1a48f2301aa652d88d9235674183a24" name="gab1a48f2301aa652d88d9235674183a24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab1a48f2301aa652d88d9235674183a24">&#9670;&nbsp;</a></span>CLK_SetHCLK()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CLK_SetHCLK </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ClkSrc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ClkDiv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function set HCLK clock source and HCLK clock divider. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32ClkSrc</td><td>is HCLK clock source. Including :<ul>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0192231b669818ca9fae9a4e123fd292">CLK_CLKSEL0_HCLK_S_XTAL</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafbbe76abb6aba125cdee4bc334de5df3">CLK_CLKSEL0_HCLK_S_LIRC</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafa76a76292a6fbe63388a660f4f6d0f4">CLK_CLKSEL0_HCLK_S_HIRC</a> </li>
</ul>
</td></tr>
    <tr><td class="paramname">u32ClkDiv</td><td>is HCLK clock divider. Including :<ul>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa2a696eb99c5cc6d1ead8b68e0c0bae1">CLK_CLKDIV_HCLK(x)</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/da0/clk_8c_source.html#l00141">141</a> of file <a class="el" href="../../de/da0/clk_8c_source.html">clk.c</a>.</p>

</div>
</div>
<a id="gada76aad06147856dad5f349704112611" name="gada76aad06147856dad5f349704112611"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gada76aad06147856dad5f349704112611">&#9670;&nbsp;</a></span>CLK_SetModuleClock()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CLK_SetModuleClock </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ModuleIdx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ClkSrc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ClkDiv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function set selected module clock source and module clock divider. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32ModuleIdx</td><td>is module index. </td></tr>
    <tr><td class="paramname">u32ClkSrc</td><td>is module clock source. </td></tr>
    <tr><td class="paramname">u32ClkDiv</td><td>is module clock divider. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Valid parameter combinations listed in following table:</p>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadLeft">Module index   </th><th class="markdownTableHeadLeft">Clock source   </th><th class="markdownTableHeadLeft">Divider    </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaefc5c5d4f6d46fa66126a8b471e6b333">WDT_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8c8c197f4405d89f0117c6c05889a1f7">CLK_CLKSEL1_WDT_S_XTAL</a>   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaefc5c5d4f6d46fa66126a8b471e6b333">WDT_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9f9f8a20e02d953a4473c44dd9708c2a">CLK_CLKSEL1_WDT_S_HCLK_DIV2048</a>   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaefc5c5d4f6d46fa66126a8b471e6b333">WDT_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga952926fe754090a85f6c0c357eb0a7fe">CLK_CLKSEL1_WDT_S_LIRC</a>   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4490f2058973aa7507893ae3040e30ae">TMR0_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga831f1ba136220f44861c047fa802b7b8">CLK_CLKSEL1_TMR0_S_XTAL</a>   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4490f2058973aa7507893ae3040e30ae">TMR0_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaacc4f9786f0f902314b852a1b0460c10">CLK_CLKSEL1_TMR0_S_LIRC</a>   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4490f2058973aa7507893ae3040e30ae">TMR0_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22f7e1378034b248a114209721dd94d6">CLK_CLKSEL1_TMR0_S_HCLK</a>   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4490f2058973aa7507893ae3040e30ae">TMR0_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga58dcc6ddbec0c8f862a866e7f8d4a57c">CLK_CLKSEL1_TMR0_S_HIRC</a>   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4f3c0420befc3fd680c619482c652701">TMR1_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa6254cb6a39ea5b184a3f73e6c1d1aeb">CLK_CLKSEL1_TMR1_S_XTAL</a>   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4f3c0420befc3fd680c619482c652701">TMR1_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4716fba4deebbaa1bd1ccc0d9156229d">CLK_CLKSEL1_TMR1_S_LIRC</a>   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4f3c0420befc3fd680c619482c652701">TMR1_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga038ff7eca716915f89d8c51a45bf4451">CLK_CLKSEL1_TMR1_S_HCLK</a>   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4f3c0420befc3fd680c619482c652701">TMR1_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga89f322b1f8c95cb5cbddc27a262d217a">CLK_CLKSEL1_TMR1_S_HIRC</a>   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf04f68ef136af432770da8d6b4eabe32">FDIV_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad41cbd0b610d8afd3acbb32cc6844a9f">CLK_CLKSEL2_FRQDIV_XTAL</a>   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf04f68ef136af432770da8d6b4eabe32">FDIV_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga355416178cebbda348c7017ab4bd08ec">CLK_CLKSEL2_FRQDIV_HCLK</a>   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf04f68ef136af432770da8d6b4eabe32">FDIV_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadff64cd11575dda23fe65dd545b43f93">CLK_CLKSEL2_FRQDIV_HIRC</a>   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaf5cad1af05ff8b0deee91d82a02cdf2">I2C_MODULE</a>   </td><td class="markdownTableBodyLeft">x   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga27134fb16470a6878759a2e69ca68a92">SPI_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga82603ccfbdcdffa80711b780cc7001d7">CLK_CLKSEL1_SPI_S_HXTorLXT</a>   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga27134fb16470a6878759a2e69ca68a92">SPI_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga303b6ce1b5910b090d7f8a323ad3df55">CLK_CLKSEL1_SPI_S_HCLK</a>   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa8408d081cc7ddf35547426dee549cc5">UART_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadfe8460a75307b0e04a3b5a9865447a1">CLK_CLKSEL1_UART_S_XTAL</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga77d2b6ab80bd6a2daaeac486733fc470">CLK_CLKDIV_UART(x)</a>    </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa8408d081cc7ddf35547426dee549cc5">UART_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga206b01a15bf8697ddc419240988ca968">CLK_CLKSEL1_UART_S_HIRC</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga77d2b6ab80bd6a2daaeac486733fc470">CLK_CLKDIV_UART(x)</a>    </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3e6e896020dcebab79489c71d3d6c7ba">PWM01_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga742ddaace80b4eb2869938a0d9201d77">CLK_CLKSEL1_PWM01_S_HCLK</a>   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga503fbb130bef38a23562886086fd9612">PWM23_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga30e5f5b079d1eee6d49c956f212ddd54">CLK_CLKSEL1_PWM23_S_HCLK</a>   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga552401025f845e7a298f8b385558f798">PWM45_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf41685eb5b16488c685a55acb21a7b53">CLK_CLKSEL2_PWM45_S_HCLK</a>   </td><td class="markdownTableBodyLeft">x    </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4c7bc484e427369d477792d9e432723e">ADC_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga81e81113550e5042207329cd0eb3f5ed">CLK_CLKSEL1_ADC_S_XTAL</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga10106bf426354bec869f0de79ae3ebb1">CLK_CLKDIV_ADC(x)</a>    </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4c7bc484e427369d477792d9e432723e">ADC_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9e5b8de58e34a2fa8b91066c40eac5af">CLK_CLKSEL1_ADC_S_HCLK</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga10106bf426354bec869f0de79ae3ebb1">CLK_CLKDIV_ADC(x)</a>    </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4c7bc484e427369d477792d9e432723e">ADC_MODULE</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3f350585f3146aba766df2e08beaacee">CLK_CLKSEL1_ADC_S_HIRC</a>   </td><td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga10106bf426354bec869f0de79ae3ebb1">CLK_CLKDIV_ADC(x)</a>    </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyLeft"><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga98d02399c4cf4d6a6a88dbfa3d007613">ACMP_MODULE</a>   </td><td class="markdownTableBodyLeft">x   </td><td class="markdownTableBodyLeft">x   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../de/da0/clk_8c_source.html#l00185">185</a> of file <a class="el" href="../../de/da0/clk_8c_source.html">clk.c</a>.</p>

</div>
</div>
<a id="ga1ce2943c698a17c51766cf77e1353bf8" name="ga1ce2943c698a17c51766cf77e1353bf8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1ce2943c698a17c51766cf77e1353bf8">&#9670;&nbsp;</a></span>CLK_SetSysTickClockSrc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CLK_SetSysTickClockSrc </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ClkSrc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function set SysTick clock source. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32ClkSrc</td><td>is module clock source. Including<ul>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5712fd319ccc5ab8632a664992e97f9d">CLK_CLKSEL0_STCLK_S_XTAL</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf0d5c9c8ec942e8273a5f111edc7a17c">CLK_CLKSEL0_STCLK_S_XTAL_DIV2</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga398fff62736b5fc83b8f5eb95b19326f">CLK_CLKSEL0_STCLK_S_HCLK_DIV2</a></li>
<li><a class="el" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab5dc020a95d16762afe259487c72e5d1">CLK_CLKSEL0_STCLK_S_HIRC_DIV2</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/da0/clk_8c_source.html#l00215">215</a> of file <a class="el" href="../../de/da0/clk_8c_source.html">clk.c</a>.</p>

</div>
</div>
<a id="ga5ab15677ea51c3099b27f42dc4b6fcb2" name="ga5ab15677ea51c3099b27f42dc4b6fcb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga5ab15677ea51c3099b27f42dc4b6fcb2">&#9670;&nbsp;</a></span>CLK_SysTickDelay()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CLK_SysTickDelay </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>us</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function execute delay function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">us</td><td>Delay time. The Max value is 2^24 / CPU Clock(MHz). Ex: 50MHz =&gt; 335544us, 48MHz =&gt; 349525us, 28MHz =&gt; 699050us ... </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Use the SysTick to generate the delay time and the UNIT is in us. The SysTick clock source is from HCLK, i.e the same as system core clock. </p>

<p class="definition">Definition at line <a class="el" href="../../de/da0/clk_8c_source.html#l00336">336</a> of file <a class="el" href="../../de/da0/clk_8c_source.html">clk.c</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga5ab15677ea51c3099b27f42dc4b6fcb2_icgraph.png" border="0" usemap="#ad7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga5ab15677ea51c3099b27f42dc4b6fcb2_icgraph" alt=""/></div>
<map name="ad7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga5ab15677ea51c3099b27f42dc4b6fcb2_icgraph" id="ad7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga5ab15677ea51c3099b27f42dc4b6fcb2_icgraph">
<area shape="rect" title="This function execute delay function." alt="" coords="385,183,520,209"/>
<area shape="rect" href="../../d7/d23/eeprom__24lc64_8c.html#afdf89fa6b6cdcaa0e25aa4d246901d56" title="Write page data to EEPROM." alt="" coords="175,5,322,32"/>
<area shape="rect" href="../../d7/d23/eeprom__24lc64_8c.html#a08fe9430d980d5269148550912a2f7eb" title="Read data from EEPROM." alt="" coords="191,56,307,83"/>
<area shape="rect" href="../../d7/d23/eeprom__24lc64_8c.html#a0aed67cf953dd76d5a90fa35db52ec8f" title="Read data from EEPROM using sequential read method." alt="" coords="160,107,337,133"/>
<area shape="rect" href="../../d7/d23/eeprom__24lc64_8c.html#aac248c4a6521a1188b4f0115984a3a88" title="Write data to EEPROM." alt="" coords="190,157,307,184"/>
<area shape="rect" href="../../da/d64/i2c__software__gpio_8c.html#adb712d967bbb57dc9633386ba4316600" title="Read data." alt="" coords="9,259,108,285"/>
<area shape="rect" href="../../da/d64/i2c__software__gpio_8c.html#adcfe15e97d3973218076f997f7d37afb" title="Read a byte." alt="" coords="183,259,314,285"/>
<area shape="rect" href="../../da/d64/i2c__software__gpio_8c.html#a6525fbd9ba4ce82c2520351b92cfd18c" title="Send data." alt="" coords="5,335,112,361"/>
<area shape="rect" href="../../da/d64/i2c__software__gpio_8c.html#af9a92fff1ca7c01fa0a12b18d4b5c88a" title="Send a byte." alt="" coords="179,309,318,336"/>
</map>
</div>

</div>
</div>
<a id="ga620c121e9147b128081654d9552efe15" name="ga620c121e9147b128081654d9552efe15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga620c121e9147b128081654d9552efe15">&#9670;&nbsp;</a></span>CLK_WaitClockReady()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t CLK_WaitClockReady </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ClkMask</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function check selected clock source status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32ClkMask</td><td>is selected clock source. Including<ul>
<li><a class="el" href="../../dd/d47/group___m_i_n_i51___definitions.html#ga1227b5d633dcf2bdbea723f554b84071">CLK_CLKSTATUS_CLK_SW_FAIL_Msk</a></li>
<li><a class="el" href="../../dd/d47/group___m_i_n_i51___definitions.html#ga52d9a371108e7d4c7b4c76aed13ecb3b">CLK_CLKSTATUS_HIRC_STB_Msk</a></li>
<li><a class="el" href="../../dd/d47/group___m_i_n_i51___definitions.html#ga050d8f3b8465e35faa9e0129529c5518">CLK_CLKSTATUS_LIRC_STB_Msk</a></li>
<li><a class="el" href="../../dd/d47/group___m_i_n_i51___definitions.html#ga31d5158b7368d3362e80bef44414e2ab">CLK_CLKSTATUS_XTL_STB_Msk</a></li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 clock is not stable 1 clock is stable</dd></dl>
<p>To wait for clock ready by specified CLKSTATUS bit or timeout (~5ms) </p>

<p class="definition">Definition at line <a class="el" href="../../de/da0/clk_8c_source.html#l00360">360</a> of file <a class="el" href="../../de/da0/clk_8c_source.html">clk.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:40 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
